## consul 1.9.17+dfsg2

=== debian/changelog ===
consul (1.9.17+dfsg2-1) unstable; urgency=medium

  * Team upload
  * d/copyright: do not vendor github.com/hashicorp/vic

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 20 Jul 2023 21:55:47 +0000

consul (1.9.17+dfsg1-1) unstable; urgency=medium

  * Team upload

  [ Daniel Swarbrick ]
  * debian/control: (re-)add missing Build-Depends
  * debian/copyright:
    + re-work Files-Excluded vendoring exceptions
    + updated copyright attribution for vendored packages
  * debian/gbp.conf: update to current team standards
  * debian/watch: switch to git mode
  * debian/consul.docs: update documentation paths to install
  * Add new patches:
    + 03-fix-outdated-grpc-types.patch
    + 04-fix-tlsutil-config-test.patch
  * Bump debhelper-compat version to 13

  [ Martina Ferrari ]
  * New upstream release.
    Closes: #991719, #1006487, #1017982.
    (CVE-2021-32574, CVE-2022-24687, CVE-2022-29152)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 20 Jul 2023 19:36:40 +0000

consul (1.8.7+dfsg1-6) unstable; urgency=medium

  [ vimerbf ]
  * Fix upstream url in uscan watch file.

  [ Reinhard Tartler ]
  * Backport security patches - CVE-2021-37219 - CVE-2021-38698.
    Closes: #1015218

 -- Martina Ferrari <tina@debian.org>  Tue, 23 Aug 2022 13:00:04 -0300

consul (1.8.7+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Ignore more tests which not reliable enough and require further
    investigation.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 10 Apr 2022 20:05:38 -0400

consul (1.8.7+dfsg1-4) unstable; urgency=medium

  * Team upload.

  [ Tianon Gravi ]
  * Team upload.
  * Remove self from Uploaders

  [ Reinhard Tartler ]
  * unbreak protobuf generation, closes: #982931
  * debian/rules: disable DH_GOLANG_GO_GENERATE, closes: #1008396

 -- Reinhard Tartler <siretart@debian.org>  Sun, 10 Apr 2022 17:55:22 -0400

=== debian/control ===
Source: consul
Section: admin
Priority: optional
Standards-Version: 4.5.1
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
 Martina Ferrari <tina@debian.org>,
 Tim Potter <tpot@hpe.com>,
Build-Depends:
 bash-completion,
 debhelper-compat (= 13),
 dh-golang (>= 1.42~),
 golang-any (>= 2:1.13~),
 golang-github-armon-circbuf-dev,
 golang-github-armon-go-metrics-dev (>= 0.0~git20171117~),
 golang-github-armon-go-radix-dev,
 golang-github-aws-aws-sdk-go-dev,
 golang-github-azure-go-autorest-dev (>= 10.15.5~),
 golang-github-beorn7-perks-dev,
 golang-github-bgentry-speakeasy-dev,
 golang-github-census-instrumentation-opencensus-proto-dev,
 golang-github-circonus-labs-circonus-gometrics-dev (>= 2.3.1~),
 golang-github-circonus-labs-circonusllhist-dev,
 golang-github-coreos-go-oidc-dev,
 golang-github-datadog-datadog-go-dev,
 golang-github-davecgh-go-spew-dev,
 golang-github-denverdino-aliyungo-dev,
 golang-github-docker-go-connections-dev,
 golang-github-elazarl-go-bindata-assetfs-dev,
 golang-github-gogo-protobuf-dev (>= 1.2.1~),
 golang-github-golang-snappy-dev,
 golang-github-google-gofuzz-dev,
 golang-github-googleapis-gnostic-dev,
 golang-github-gophercloud-gophercloud-dev,
 golang-github-hashicorp-go-bexpr-dev,
 golang-github-hashicorp-go-checkpoint-dev,
 golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~),
 golang-github-hashicorp-go-discover-dev,
 golang-github-hashicorp-go-hclog-dev (>= 0.9.2~),
 golang-github-hashicorp-go-immutable-radix-dev (>= 1.1.0~),
 golang-github-hashicorp-go-memdb-dev (>= 1.2.1~),
 golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
 golang-github-hashicorp-go-multierror-dev,
 golang-github-hashicorp-go-raftchunking-dev,
 golang-github-hashicorp-go-retryablehttp-dev,
 golang-github-hashicorp-go-rootcerts-dev (>= 1.0.2~),
 golang-github-hashicorp-go-sockaddr-dev,
 golang-github-hashicorp-go-syslog-dev,
 golang-github-hashicorp-go-uuid-dev,
 golang-github-hashicorp-go-version-dev,
 golang-github-hashicorp-golang-lru-dev,
 golang-github-hashicorp-hcl-dev,
 golang-github-hashicorp-hil-dev (>= 0.0~git20160711~),
 golang-github-hashicorp-memberlist-dev (>= 0.3.1~),
 golang-github-hashicorp-net-rpc-msgpackrpc-dev,
 golang-github-hashicorp-raft-boltdb-dev,
 golang-github-hashicorp-raft-dev (>= 1.1.2~),
 golang-github-hashicorp-serf-dev (>= 0.9.5~),
 golang-github-hashicorp-yamux-dev,
 golang-github-imdario-mergo-dev,
 golang-github-json-iterator-go-dev,
 golang-github-kr-text-dev,
 golang-github-mattn-go-isatty-dev,
 golang-github-miekg-dns-dev (>= 1.1.26~),
 golang-github-mitchellh-cli-dev (>= 1.1.1~),
 golang-github-mitchellh-copystructure-dev,
 golang-github-mitchellh-go-testing-interface-dev (>= 1.14.1~),
 golang-github-mitchellh-hashstructure-dev,
 golang-github-mitchellh-mapstructure-dev,
 golang-github-mitchellh-reflectwalk-dev,
 golang-github-nytimes-gziphandler-dev,
 golang-github-packethost-packngo-dev,
 golang-github-pascaldekloe-goe-dev,
 golang-github-patrickmn-go-cache-dev,
 golang-github-pierrec-lz4-dev,
 golang-github-pmezard-go-difflib-dev,
 golang-github-ryanuber-columnize-dev,
 golang-github-ryanuber-go-glob-dev,
 golang-github-shirou-gopsutil-dev,
 golang-github-spf13-pflag-dev,
 golang-go.opencensus-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-time-dev (>= 0.0+git20200630~),
 golang-gopkg-inf.v0-dev,
 golang-gopkg-square-go-jose.v2-dev,
 golang-k8s-sigs-yaml-dev,
 golang-k8s-utils-dev,
 mockery,
#tests:
 procps,
Homepage: https://github.com/hashicorp/consul
Vcs-Browser: https://salsa.debian.org/go-team/packages/consul
Vcs-Git: https://salsa.debian.org/go-team/packages/consul.git
XS-Go-Import-Path: github.com/hashicorp/consul
#Testsuite: autopkgtest-pkg-go

Package: golang-github-hashicorp-consul-dev
Section: golang
Architecture: all
Depends:
 golang-github-armon-go-metrics-dev (>= 0.0~git20171117~),
 golang-github-armon-go-radix-dev,
 golang-github-hashicorp-go-bexpr-dev,
 golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~),
 golang-github-hashicorp-go-hclog-dev (>= 0.9.2~),
 golang-github-hashicorp-go-memdb-dev,
 golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
 golang-github-hashicorp-go-rootcerts-dev (>= 1.0.2~),
 golang-github-hashicorp-go-uuid-dev,
 golang-github-hashicorp-golang-lru-dev,
 golang-github-hashicorp-hcl-dev,
 golang-github-hashicorp-hil-dev (>= 0.0~git20160711~),
 golang-github-hashicorp-memberlist-dev (>= 0.3.1~),
 golang-github-hashicorp-raft-boltdb-dev,
 golang-github-hashicorp-raft-dev (>= 1.1.2~),
 golang-github-hashicorp-serf-dev (>= 0.9.5~),
 golang-github-hashicorp-yamux-dev,
 golang-github-inconshreveable-muxado-dev,
 golang-github-miekg-dns-dev (>= 1.1.26~),
 golang-github-mitchellh-cli-dev (>= 1.1.1~),
 golang-github-mitchellh-copystructure-dev,
 golang-github-pascaldekloe-goe-dev,
 golang-golang-x-sys-dev,
 ${misc:Depends},
Description: tool for service discovery, monitoring and configuration (source)
 Consul is a tool for service discovery and configuration. Consul is
 distributed, highly available, and extremely scalable.
 .
 Consul provides several key features:
 .
  - Service Discovery - Consul makes it simple for services to register
    themselves and to discover other services via a DNS or HTTP interface.
    External services such as SaaS providers can be registered as well.
 .
  - Health Checking - Health Checking enables Consul to quickly alert operators
    about any issues in a cluster. The integration with service discovery
    prevents routing traffic to unhealthy hosts and enables service level
    circuit breakers.
 .
  - Key/Value Storage - A flexible key/value store enables storing dynamic
    configuration, feature flagging, coordination, leader election and more.
    The simple HTTP API makes it easy to use anywhere.
 .
  - Multi-Datacenter - Consul is built to be datacenter aware, and can support
    any number of regions without complex configuration.
 .
 Consul runs on Linux, Mac OS X, and Windows. It is recommended to run the
 Consul servers only on Linux, however.
 .
 This package contains the source.

Package: consul
Architecture: any
Built-Using:
 ${misc:Built-Using},
Depends:
 adduser,
 pipexec,
 procps,
 ${misc:Depends},
 ${shlibs:Depends},
Description: tool for service discovery, monitoring and configuration
 Consul is a tool for service discovery and configuration. Consul is
 distributed, highly available, and extremely scalable.
 .
 Consul provides several key features:
 .
  - Service Discovery - Consul makes it simple for services to register
    themselves and to discover other services via a DNS or HTTP interface.
    External services such as SaaS providers can be registered as well.
 .
  - Health Checking - Health Checking enables Consul to quickly alert operators
    about any issues in a cluster. The integration with service discovery
    prevents routing traffic to unhealthy hosts and enables service level
    circuit breakers.
 .
  - Key/Value Storage - A flexible key/value store enables storing dynamic
    configuration, feature flagging, coordination, leader election and more.
    The simple HTTP API makes it easy to use anywhere.
 .
  - Multi-Datacenter - Consul is built to be datacenter aware, and can support
    any number of regions without complex configuration.
 .
 Consul runs on Linux, Mac OS X, and Windows. It is recommended to run the
 Consul servers only on Linux, however.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, repacksuffix=+dfsg1, \
      dversionmangle=s{[~+](?:ds|dfsg)\d*$}{}" \
  https://github.com/hashicorp/consul refs/tags/v?@ANY_VERSION@ debian

## consul 1.10.12+dfsg1

=== website/Makefile ===
.DEFAULT_GOAL := website

PWD=$$(pwd)
DOCKER_IMAGE="hashicorp/dev-portal"
DOCKER_IMAGE_LOCAL="dev-portal-local"
DOCKER_RUN_FLAGS=-it \
		--publish "3000:3000" \
		--rm \
		--tty \
		--volume "$(PWD)/content:/app/content" \
		--volume "$(PWD)/public:/app/public" \
		--volume "$(PWD)/data:/app/data" \
		--volume "$(PWD)/redirects.js:/app/redirects.js" \
		--volume "next-dir:/app/website-preview/.next" \
		--volume "$(PWD)/.env:/app/.env" \
		-e "REPO=consul"

# Default: run this if working on the website locally to run in watch mode.
.PHONY: website
website:
	@echo "==> Downloading latest Docker image..."
	@docker pull $(DOCKER_IMAGE)
	@echo "==> Starting website..."
	@docker run $(DOCKER_RUN_FLAGS) $(DOCKER_IMAGE)

# Use this if you have run `website/build-local` to use the locally built image.
.PHONY: website/local
website/local:
	@echo "==> Starting website from local image..."
	@docker run $(DOCKER_RUN_FLAGS) $(DOCKER_IMAGE_LOCAL)

# Run this to generate a new local Docker image.
.PHONY: website/build-local
website/build-local:
	@echo "==> Building local Docker image"
	@docker build https://github.com/hashicorp/dev-portal.git\#main \
		-t $(DOCKER_IMAGE_LOCAL)

=== debian/changelog ===
consul (1.10.12+dfsg1-1ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 18 Jan 2024 12:06:34 +0530

consul (1.10.12+dfsg1-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:30 +1200

consul (1.10.12+dfsg1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh patches
  * Bump golang-github-hashicorp-raft-dev version constraint to >= 1.3.0~

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 22 Jul 2023 15:51:28 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: optional
 Standards-Version: 4.5.1
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders:
  Dmitry Smirnov <onlyjob@debian.org>,
  Martina Ferrari <tina@debian.org>,
@@ -55,7 +56,7 @@
  golang-github-hashicorp-memberlist-dev (>= 0.3.1~),
  golang-github-hashicorp-net-rpc-msgpackrpc-dev,
  golang-github-hashicorp-raft-boltdb-dev,
- golang-github-hashicorp-raft-dev (>= 1.1.2~),
+ golang-github-hashicorp-raft-dev (>= 1.3.0~),
  golang-github-hashicorp-serf-dev (>= 0.9.5~),
  golang-github-hashicorp-yamux-dev,
  golang-github-imdario-mergo-dev,
@@ -113,7 +114,7 @@
  golang-github-hashicorp-hil-dev (>= 0.0~git20160711~),
  golang-github-hashicorp-memberlist-dev (>= 0.3.1~),
  golang-github-hashicorp-raft-boltdb-dev,
- golang-github-hashicorp-raft-dev (>= 1.1.2~),
+ golang-github-hashicorp-raft-dev (>= 1.3.0~),
  golang-github-hashicorp-serf-dev (>= 0.9.5~),
  golang-github-hashicorp-yamux-dev,
  golang-github-inconshreveable-muxado-dev,

## consul exporter-0.13.0

=== Makefile ===
# Copyright 2016 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Needs to be defined before including Makefile.common to auto-generate targets
DOCKER_ARCHS ?= amd64 armv7 arm64

include Makefile.common

DOCKER_IMAGE_NAME ?= consul-exporter
